Issue1126

classification
Title: ImportError raised for Java subpackages import
Type: behaviour Severity: normal
Components: Core Versions: 2.2.2
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: fwierzbicki Nosy List: boisgera, fwierzbicki
Priority: Keywords:

Created on 2008-09-10.21:31:20 by boisgera, last changed 2009-03-10.18:54:16 by fwierzbicki.

Files
File name Uploaded Description Edit Remove
bugtests.tar.gz boisgera, 2008-09-10.21:31:19 test files
Messages
msg3498 (view) Author: (boisgera) Date: 2008-09-10.21:31:19
Add to sys.path a jar file that contains a XXX.YYY.ZZZ java package and
you won't be able to import it if XXX is an already loaded java package.

The associated test files demonstrate the issue and contains hints on
what's going on: basically, org.python.core.imp.find_module never being
called and a SyspathArchive transformation that never happens for the
new jar entry in sys.path.
msg4176 (view) Author: Frank Wierzbicki (fwierzbicki) Date: 2009-03-03.20:29:28
damn.  Though http://bugs.jython.org/issue1239 is fixed (grabbing a
*class* off of a newly added jar), in this bug we are grabbing a
*package* from a newly added jar.
msg4217 (view) Author: Frank Wierzbicki (fwierzbicki) Date: 2009-03-10.18:54:15
fixed in r6087
History
Date User Action Args
2009-03-10 18:54:16fwierzbickisetstatus: open -> closed
resolution: accepted -> fixed
messages: + msg4217
2009-03-03 20:29:29fwierzbickisetassignee: fwierzbicki
resolution: accepted
messages: + msg4176
nosy: + fwierzbicki
2008-09-10 21:33:35boisgerasetversions: + 2.2.2, - Jython 2.1
2008-09-10 21:31:20boisgeracreate